For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet All
        • POSTCreate
        • GETGet
        • PUTUpdate
        • DELDelete
        • GETPlaid Link token
        • GETCard Link token
        • GETGet Events
Logo
Sign inBook a demo
API ReferenceEntityPayment Method

Get Events

GET
https://api.mercoa.com/entity/:entityId/paymentMethod/:paymentMethodId/events
GET
/entity/:entityId/paymentMethod/:paymentMethodId/events
$curl https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/paymentMethod/pm_4794d597-70dc-4fec-b6ec-c5988e759769/events \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "evt_a0f6ea94-0761-4a5e-a416-3c453cb7eced",
5 "data": {
6 "type": "bankAccount",
7 "accountName": "My Checking Account",
8 "accountNumber": "99988767623",
9 "accountType": "CHECKING",
10 "bankName": "Chase",
11 "createdAt": "2021-01-01T00:00:00Z",
12 "frozen": false,
13 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
14 "isDefaultDestination": true,
15 "isDefaultSource": true,
16 "metadata": {},
17 "routingNumber": "12345678",
18 "status": "VERIFIED",
19 "supportedCurrencies": [
20 "USD"
21 ],
22 "updatedAt": "2021-01-01T00:00:00Z",
23 "confirmedByEntity": true
24 },
25 "webhookIds": [
26 "webhook_12345"
27 ],
28 "createdAt": "2024-01-01T00:00:00.000Z",
29 "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506",
30 "updatedByEntityId": "ent_a0f6ea94-0761-4a5e-a416-3c453cb7eced"
31 }
32 ],
33 "count": 1,
34 "hasMore": false
35}
Was this page helpful?
Previous

Initiate micro deposits

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
paymentMethodIdstringRequired
Payment Method ID or Payment Method ForeignID

Query parameters

startDatedatetimeOptional
Start date filter. If not provided, events from the start of time will be returned.
endDatedatetimeOptional
End date filter. If not provided, events to the end of time will be returned.
limitintegerOptional
Limit the number of events returned. Limit can range between 1 and 100, and the default is 50.
startingAfterstringOptional
The ID of the event to start after.

Response

This endpoint returns an object.
datalist of objects
The list of events
countinteger
The total number of events
hasMoreboolean
Whether there are more events to fetch

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented